#define _FILE_OFFSET_BITS 64
#define _GNU_SOURCE 1
#include <cephfs/libcephfs.h>
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <fcntl.h>

#define USERID		"alice"
#define PATHNAME	"/export"
#define KEY		"AQBsm1FYRAxvCxAARfvnAdU+KzjxGBV7+YTkZQ=="

int
main(void) {
	struct ceph_mount_info *cmount;
	int ret;

	ret = ceph_create(&cmount, USERID);
	if (ret) {
		fprintf(stderr, "mount info create: %d\n", ret);
		return 1;
	}

	ret = ceph_conf_read_file(cmount, NULL);
	if (ret) {
		fprintf(stderr, "read conf file: %d\n", ret);
		return 1;
	}

	ret = ceph_conf_set(cmount, "key", KEY);
	if (ret) {
		fprintf(stderr, "set key option: %d\n", ret);
		return 1;
	}

	ret = ceph_mount(cmount, PATHNAME);
	if (ret) {
		fprintf(stderr, "mount: %d\n", ret);
		return 1;
	}

	printf("Mounting successful!\n");

	ceph_unmount(cmount);
	ceph_release(cmount);
	return 0;
}
